# -*- coding: utf-8 -*-
# generated with: setup.py build --indep-only --parallel=12

from PyQt4.QtGui import QAction, QMenu

def retranslate(window):
    menuGame = window.findChild(QMenu, 'menuGame')
    menuEdit = window.findChild(QMenu, 'menuEdit')
    menuView = window.findChild(QMenu, 'menuView')
    menuHelp = window.findChild(QMenu, 'menuHelp')
    action_new = window.findChild(QAction, 'action_new')
    action_new_solved = window.findChild(QAction, 'action_new_solved')
    action_quit = window.findChild(QAction, 'action_quit')
    action_selectmodel = window.findChild(QAction, 'action_selectmodel')
    action_initial_state = window.findChild(QAction, 'action_initial_state')
    action_reset_rotation = window.findChild(QAction, 'action_reset_rotation')
    action_invert_moves = window.findChild(QAction, 'action_invert_moves')
    action_reload_scripts = window.findChild(QAction, 'action_reload_scripts')
    action_preferences = window.findChild(QAction, 'action_preferences')
    action_toolbar = window.findChild(QAction, 'action_toolbar')
    action_statusbar = window.findChild(QAction, 'action_statusbar')
    action_info = window.findChild(QAction, 'action_info')
    action_rewind = window.findChild(QAction, 'action_rewind')
    action_previous = window.findChild(QAction, 'action_previous')
    action_stop = window.findChild(QAction, 'action_stop')
    action_play = window.findChild(QAction, 'action_play')
    action_next = window.findChild(QAction, 'action_next')
    action_forward = window.findChild(QAction, 'action_forward')
    action_add_mark = window.findChild(QAction, 'action_add_mark')
    action_remove_mark = window.findChild(QAction, 'action_remove_mark')
    action_editbar = window.findChild(QAction, 'action_editbar')
    action_normalize_complete_rotations = window.findChild(QAction, 'action_normalize_complete_rotations')

    window.setWindowTitle(_('Pybik'))
    menuGame.setProperty('title', _('&Game'))
    menuEdit.setProperty('title', _('&Edit'))
    menuView.setProperty('title', _('&View'))
    menuHelp.setProperty('title', _('&Help'))
    action_new.setProperty('text', _('&New Random'))
    action_new_solved.setProperty('text', _('Ne&w Solved'))
    action_quit.setProperty('text', _('&Quit'))
    action_selectmodel.setProperty('text', _('&Select Model …'))
    action_initial_state.setProperty('text', _('&Set as Initial State'))
    action_reset_rotation.setProperty('text', _('&Reset Rotation'))
    action_invert_moves.setProperty('text', _('&Invert Moves'))
    action_reload_scripts.setProperty('text', _('Reload Plugins'))
    action_preferences.setProperty('text', _('&Preferences …'))
    action_toolbar.setProperty('text', _('&Toolbar'))
    action_statusbar.setProperty('text', _('&Status Bar'))
    action_info.setProperty('text', _('&Info …'))
    action_rewind.setProperty('text', _('Rewind'))
    action_rewind.setProperty('toolTip', _('Go to the previous mark (or the beginning) of the sequence of moves'))
    action_previous.setProperty('text', _('Previous'))
    action_previous.setProperty('toolTip', _('Make one step backwards'))
    action_stop.setProperty('text', _('Stop'))
    action_stop.setProperty('toolTip', _('Stop running the sequence of moves'))
    action_play.setProperty('text', _('Play'))
    action_play.setProperty('toolTip', _('Run forward through the sequence of moves'))
    action_next.setProperty('text', _('Next'))
    action_next.setProperty('toolTip', _('Make one step forwards'))
    action_forward.setProperty('text', _('Forward'))
    action_forward.setProperty('toolTip', _('Go to the next mark (or the end) of the sequence of moves'))
    action_add_mark.setProperty('text', _('Add Mark'))
    action_add_mark.setProperty('toolTip', _('Mark the current place in the sequence of moves'))
    action_remove_mark.setProperty('text', _('Remove Mark'))
    action_remove_mark.setProperty('toolTip', _('Remove the mark at the current place in the sequence of moves'))
    action_editbar.setProperty('text', _('&Edit Bar'))
    action_normalize_complete_rotations.setProperty('text', _('Normalize Cube Rotations'))
